Name: ant
Version: 1.7.0
Release: alt8

%def_disable debug

Summary: Platform-independent build tool for Java
Group: Development/Java
License: Apache
URL: http://ant.apache.org/
Packager: Damir Shayhutdinov <damir@altlinux.ru>

%define ant_home	%_datadir/ant
%define pkgdocdir	%_docdir/%name-%version

Requires: j2se-devel >= 1.2
Requires: java-common jaxp_parser_impl xml-commons-apis

BuildArch: noarch

Source: http://www.apache.org/dist/ant/source/apache-%name-%version-src.tar.bz2
Source2: ant.sh.in
Source3: ant.conf

BuildPreReq: rpm-build-java
BuildRequires: /proc
BuildRequires: j2se-devel >= 1.4
#BuildRequires: jaxp_parser_impl xml-commons-apis
BuildRequires: python
BuildRequires: junit

Provides: ant-nodeps = %version-%release

%description
Ant is a Java based build tool.
Ant is used to build Jakarta & XML projects by the Apache Group.

%package scripts
Summary:       Additional scripts for %{name}
Group:         Development/Other
Requires:      %name = %version-%release

%description scripts
Additional Perl and Python scripts for ant,
a platform-independent build tool for Java.

%package manual
Summary: Documentation for ant
Group: Development/Java
Requires: %name = %version-%release
AutoReqProv: no

%description manual
Documentation for ant, a platform-independent build tool for Java.

%package javadoc
Summary: Javadoc for ant
Group: Development/Java
AutoReqProv: no

%description javadoc
Javadoc-generated documentation for ant, a platform-independent
build tool for Java.

%package task-reference
Summary: Ant task reference in PDF format
Group: Books/Computer books

%description task-reference
The Ant task reference in the PDF format.

%package style-xsl
Summary: XSL stylesheets for Ant
Group: Text tools

%description style-xsl
Useful XSL stylesheets included in the Ant distribution.

%prep
%setup -q -n apache-%name-%version
find docs -name '*.orig' -print0 | xargs -r0 rm -f

%build
if [ -z "$JAVA_HOME" -a -f "%_target_libdir/jdk/lib/tools.jar" ]; then
	JAVA_HOME=%_target_libdir/jdk
	export JAVA_HOME
fi
CLASSPATH=$CLASSPATH:%_javadir/jaxp_parser_impl.jar:%_javadir/xml-commons-apis.jar:%_javadir/junit.jar
export CLASSPATH

sh build.sh -Ddist.dir=dist \
%if_enabled debug
    -Doptimize=false \
%else
    -Ddebug=false \
%endif
    dist

sed -e 's,@libdir@,%_target_libdir,g' \
    -e 's,@datadir@,%_datadir,g' \
    -e 's,@sysconfdir@,%_sysconfdir,g' \
    < %SOURCE2 >dist/bin/ant

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_sysconfdir
install -d -m755 $RPM_BUILD_ROOT%ant_home
install -d -m755 $RPM_BUILD_ROOT%ant_home/etc
install -d -m755 $RPM_BUILD_ROOT%_javadir/%name
install -d -m755 $RPM_BUILD_ROOT%pkgdocdir

# java archives
install -p -m 644 dist/lib/ant.jar $RPM_BUILD_ROOT%_javadir/%name/
install -p -m 644 dist/lib/ant-launcher.jar $RPM_BUILD_ROOT%_javadir/%name/
install -p -m 644 dist/lib/ant-nodeps.jar $RPM_BUILD_ROOT%_javadir/%name/

# scripts
install -p -m 755 dist/bin/ant $RPM_BUILD_ROOT%_bindir/
install -p -m 755 dist/bin/antRun $RPM_BUILD_ROOT%_bindir/
install -p -m 755 dist/bin/*.p[ly] $RPM_BUILD_ROOT%_bindir/

# configuration
install -p -m 644 %SOURCE3 $RPM_BUILD_ROOT%_sysconfdir/ant.conf

# stylesheets
cp -a dist/etc/* $RPM_BUILD_ROOT%ant_home/etc/
rm -f $RPM_BUILD_ROOT%ant_home/etc/*.jar

# documentation
install -p -m 644 NOTICE LICENSE README WHATSNEW \
	$RPM_BUILD_ROOT%pkgdocdir/
cp -a dist/docs/* $RPM_BUILD_ROOT%pkgdocdir/
mkdir -p $RPM_BUILD_ROOT%_javadocdir
mv $RPM_BUILD_ROOT%pkgdocdir/manual/api $RPM_BUILD_ROOT%_javadocdir/%name
find $RPM_BUILD_ROOT%pkgdocdir/manual -type d -print |\
    sed -e "s|$RPM_BUILD_ROOT|%%dir |" >manual.list
find $RPM_BUILD_ROOT%pkgdocdir/manual -type f -print |\
    sed -e "s|$RPM_BUILD_ROOT||" >>manual.list

# compatibility links
ln -snf $(relative %_javadir/%name %ant_home/) \
    $RPM_BUILD_ROOT%ant_home/lib
ln -snf $(relative %_javadocdir/%name %pkgdocdir/manual/) \
    $RPM_BUILD_ROOT%pkgdocdir/manual/api
ln -sf ant/ant.jar %buildroot/%_javadir/ant.jar
ln -sf ant/ant-launcher.jar %buildroot/%_javadir/ant-launcher.jar

%files
%dir %pkgdocdir
%pkgdocdir/NOTICE
%pkgdocdir/LICENSE
%pkgdocdir/README
%pkgdocdir/WHATSNEW
%pkgdocdir/*.html
%pkgdocdir/*.js
%pkgdocdir/*.css
%pkgdocdir/*.ico
%pkgdocdir/ant2
%pkgdocdir/projects
%pkgdocdir/images
%_bindir/ant
%_bindir/antRun
%config(noreplace) %_sysconfdir/ant.conf
%dir %ant_home
%dir %ant_home/etc
%ant_home/lib
%_javadir/%name/ant.jar
%_javadir/ant.jar
%_javadir/%name/ant-launcher.jar
%_javadir/ant-launcher.jar
%_javadir/%name/ant-nodeps.jar

%files scripts
%_bindir/*.pl
%_bindir/*.py

%files manual -f manual.list

%files javadoc
%dir %pkgdocdir
%dir %pkgdocdir/manual
%pkgdocdir/manual/api
%doc %_javadocdir/%name

%files task-reference
%dir %pkgdocdir
%pkgdocdir/*.pdf

%files style-xsl
%ant_home/etc/*.xsl
%ant_home/etc/checkstyle

%changelog
* Tue Dec 18 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt8
- Bumped release to match ant-optional

* Mon Jun 18 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt7
- Bumped release to match ant-optional

* Sat Jun 16 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt6
- Bumped release to match ant-optional

* Sat Jun 09 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt5
- Bumped release to match ant-optional

* Thu May 17 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt4
- Added symlinks for %_javadir/ant.jar and %_javadir/ant-launcher.jar
- Fixed ant launcher to use %%_datadir/java-common instead of %%_libdir/java-common

* Sat May 05 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt3
- Added Provides: ant-nodeps for jpackage compatibility

* Thu Feb 22 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt2
- Fix Java executable search (#10857)

* Sun Feb 04 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt1.1
- Raised release to match release of ant-optional package

* Sat Feb 03 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt1
- New version

* Sat Mar 04 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.5-alt2
- Dropped buildtime dependency on xml-commons-apis and jaxp_parser_impl,
  require JDK >= 1.4 instead
- Added serializer.jar from Xalan to the runtime classpath

* Mon Jun 06 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.5-alt1
- New upstream release

* Sat May 28 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.4-alt1
- New upstream release

* Fri Apr 29 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.3-alt1
- New upstream release
- rpm-build-java cosmetics
- Removed ANT_HOME setting from /etc/ant.conf as it interfered
  with the bootstrap script

* Wed Mar 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.6.2-alt3.1
- Rebuilt with python-2.4.

* Wed Jan 12 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.2-alt3
- Rebuild for ant-optional

* Sat Aug 07 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.2-alt2
- BuildRequire /proc

* Wed Jul 21 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.2-alt1
- New upstream release

* Mon Jun 14 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.1-alt2
- Add all the optional library dependencies to classpath in the launcher script
- Conditionally disable debug info (off by default)

* Sun Feb 22 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.1-alt1
- Updated to the upstream release 1.6.1
- Updated the ant script
- Substitute directory names in the apt script
- Set config(noreplace) attribute for /etc/apt.conf

* Fri Oct 24 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.4-alt2
- Shipped ant-optional off to a separate spec with extensive build dependencies
- Take scripts from dist/bin where <fixcrlf/> task is performed

* Sun Aug 17 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.4-alt1
- 1.5.4

* Mon Mar 10 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.2-alt1
- 1.5.2
- Synced with 1.5.2-2jpp: added scripts subpackage, changed URL

* Mon Nov 18 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.1-alt1
- 1.5.1
- refurbished for the new java packaging system derived from JPackage
- docs separated to main package stuff (introductory),
  manual, javadoc and task-reference (a bulky PDF document)
- style-xsl subpackage

* Wed May 29 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1-alt3
- both ant script and build search /usr/lib for JDK
- build compatible with jdk-1.3.1 package

* Sun May 19 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1-alt2
- ant-optional subpackage
- build probes known JDK locations when JAVA_HOME is not set

* Thu Apr 25 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1-alt1
- 1.4.1
- Borrowed a start script from Henri once more, and cleaned it up

* Tue May 01 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1.3-alt1
- Adapted for ALTLinux
- Renamed ant-manual back to ant-doc
- Returned jars back into ant tree for the sake of tidyness
- Revision 0.5 of ant.sh
- Set group to Development/Java

* Thu Mar 23 2001 Henri Gomez <hgomez@slib.fr>
- ant-1.3 RPM Release 2
- rebuild with updated ant-optional.jar, the previously
  used was missing some classes.

* Mon Mar 05 2001 Henri Gomez <hgomez@slib.fr>
- ant 1.3
- build CLASSPATH=/usr/share/java/bsf.jar:/usr/share/java/jakarta-regexp.jar:/usr/share/java/xalan.jar:/usr/share/java/xerces.jar

* Mon Feb 27 2001 Henri Gomez <hgomez@slib.fr>
- ant-1.3b2 release 3
- fix manual permissions

* Mon Feb 26 2001 Henri Gomez <hgomez@slib.fr>
- ant-1.3b2 release 2
- fix /usr/local/bin/perl references

* Fri Feb 09 2001 Henri Gomez <hgomez@slib.fr>
- ant-1.3b1
- build CLASSPATH=/usr/share/java/bsf.jar:/usr/share/java/jakarta-regexp.jar:/usr/share/java/xalan.jar:/usr/share/java/xerces.jar

* Wed Oct 25 2000 Henri Gomez <hgomez@slib.fr>
- ant-1.2 RPM Release 2
- renamed ant-doc to ant-manual (follow apache RPM naming)
- RH 7.0 changes location of docdir and DocumentRoot. The spec file is modified
  to place manual in right place when rebuilded under RH 6.x or RH 7.0
- compiled on Redhat 6.1 box plus updates with rpm-3.0.5

* Tue Oct 24 2000 Henri Gomez <hgomez@slib.fr>
- ant-1.2
- added optional.jar
- read WHATSNEW for changes in ant 1.2

* Fri Oct 20 2000 Henri Gomez <hgomez@slib.fr>
- ant-1.2rc
- added optional.jar (from jarkata site)
- source file is renamed from jakarta-ant-src.tar.gz to
  jakarta-ant-src-v1.2rc.tar.gz to allow multiple source file
  in my RPM source dir
- build CLASSPATH=

* Mon Oct 16 2000 Henri Gomez <hgomez@slib.fr>
- ant-1.1 RPM Release 5
- follow Debian policy about java stuff, libs in /usr/share/java,
  executable in /usr/bin
- prepare transition to RH 7.0 new document root (/var/www)
- build CLASSPATH=/usr/share/java/bsf.jar:/usr/share/java/xalan.jar

* Fri Oct 06 2000 Henri Gomez <hgomez@slib.fr>
- v1.1-4
- tomcat build failed if ANT_HOME is set to /usr.
  ant shell script set ANT_HOME to /usr/share/ant
  to fix 'antRun not found' and allow tomcat build ;-?!
- reorganized group packages for javas RPM :
  Development/Tools (ant)
  Developement/Libraries(xalan, xerces)
  Documentation (all ;-)
- build CLASSPATH=/usr/lib/java/bsf.jar:/usr/lib/java/bsfengines.jar:/usr/lib/java/xalan.jar

* Fri Sep 29 2000 Henri Gomez <hgomez@slib.fr>
- v1.1-3- jars are now installed on /usr/lib/java since /opt is
  mounted read-only on many systems <summer@os2.ami.com.au>
- correct bad URL in apidocs
- try to use jikes if present
- rebuilded with IBM JDK 1.3.0 (cx130-20000815)

* Fri Jul 21 2000 Henri Gomez <hgomez@slib.fr>
- v1.1-2
- Rebuild rpm with IBM JDK 1.3 (cx130-20000623) to allow ant
  work under both JDK 1.1.8 and JDK 1.3.
- minor spec file correction (patch ant after install)

* Thu Jul 20 2000 Henri Gomez <hgomez@slib.fr>
- v1.1 final release
- ant need now a JAXP compatible parser. Sun's jaxp 1.0.1 are
  allready included in .tar.gz and so we will use and export
  these jar (jaxp.jar & parser.jar).
  You could also use Apache xerces 1.1.2 or later.
- removed export CLASSPATH= at build time, but you'll have to
  ensure now you have a minimal CLASSPATH (ie: xml parser jars)
- Try to use now the Linux Software Map and Redhat Map.
  exec goes /usr/bin and classes in /usr/lib/ant.
  documentation stay in /home/httpd/html/manual/ant
- Compiled on Redhat 6.1 with latest IBM JDK 1.1.8 (l118-20000515)

* Tue May 02 2000 Henri Gomez <hgomez@slib.fr>
- v0.3.1
- From jakarta/tomcat 3.1 final release. Need now to
  have a consistent version number ;-)
- Fixed classpath problem at compile time by cleaning CLASSPATH before
  build/install stages.
- Compiled on Redhat 6.1 with IBM JDK 1.1.8 (20000328)

* Thu Apr 13 2000 Henri Gomez <hgomez@slib.fr>
- v0.3.1_rc1
- Version renamed to 0.3.1_rc1 to follow Sam Ruby (rubys@us.ibm.com)
  recommandation since the next major release will be 1.0

* Wed Mar 08 2000 Henri Gomez <gomez@slib.fr>
- v3.1b1
- removed moo from ant RPM. Will be now in watchdog RPM.

* Tue Feb 29 2000 Henri Gomez <gomez@slib.fr>
- v3.1_m2rc2

* Fri Feb 25 2000 Henri Gomez <gomez@slib.fr>
- v3.1_m2rc1
- moo is no more in the tar packages, will be released
  in another RPM
- added doc package

* Fri Jan 28 2000 Henri Gomez <gomez@slib.fr>
- v3.1_m1

* Tue Jan 18 2000 Henri Gomez <gomez@slib.fr>
- first RPM of v3.1_m1_rc1

* Tue Jan  4 2000 Henri Gomez <gomez@slib.fr>
- moved from /opt/jakarta/jakarta-tools to /opt/ant

* Tue Jan  4 2000 Henri Gomez <gomez@slib.fr>
- CVS 4 Jan 2000
- added servlet.jar from tomcat in SRPM
   to allow first build of moo.

* Thu Dec 30 1999 Henri Gomez <gomez@slib.fr>
- Initial release for jakarta-tools cvs
